Subject: Re: DirectDraw
From: [email-masked] ("Larry Hall (RFK Partners Inc 617-239-1053)")

24 Oct 1996 19:36:03 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: Matthew Moskewicz <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

At 11:45 PM 10/23/96 -0400, Matthew Moskewicz wrote:
>Rich Drewes wrote:
>> 
>> Can anyone comment on the feasibility of accessing the DirectDraw API
>> from gnu-win32?  Is this a now kind of thing, a someday kind of thing, or
>> a never kind of thing?
>> 
>> Thanks,
>> Rich Drewes
>> [email-masked]
>> -
>> For help on using this list, send a message to
>> "[email-masked]" with one line of text: "help".
>
>Working from only the DirectX 2 SDK, I ported most of DirectX to the
>point where I could include the (hacked) micrsoft headers to make things
>work and call all the fuctions in the ddraw.dll without error. Mind you,
>they all returned CO_E_NOTINITILIAZED ... perhaps my import lib was
>incorrect ...
>With the win32 SDK and headers, the task of porting would be trivial, as
>most of my work involed cobbling enough of RPC together from what little
>was included in the DirectX 2 SDK itself. As to weather it would ever
>work, I don't know. One would think so, but ...
>Perhaps the successor to Windows32api-0.1.2 will eliminate the need for
>hacks or the win32 SDK.
>-

If DirectX 2 is based on OLE (and what from Microsoft isn't these days!), the 
reason you got CO_E_NOTINITIALIZED from your calls is because you do not
have an OLE-aware application.  You need to call OleInitialize() somewhere 
before making the other calls (and OleUninitialize() at the end of everything).
What libraries these calls are in though, I do not know...

Larry Hall                      [email-masked]
RFK Partners, Inc.              (617) 239-1053
8 Grove Street                  (617) 239-1655 - FAX
Wellesley, MA, 02181

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".